# refresh()

Recalculates the coords for all selectable items.

##### Syntax

    Selectable.refresh()

To negate the need to calculate when the lasso is in contact with an item during `mousemove` / `touchmove` (a performance hindering task) the dimensions of the items are cached. If the dimensions of any item or items changes then recaching is needed. Simply call this method at anytime to recache the dimensions.

Note that if you have the `autoRefresh` option set to true, this method is called on every `mousedown` / `touchstart` event.